summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJesse Keating <jkeating@redhat.com>2008-08-20 14:39:55 -0400
committerJesse Keating <jkeating@redhat.com>2008-08-20 14:39:55 -0400
commit49a2fb93cc7bbbac5b654079dc4f5e92c727c7e1 (patch)
treea2b92ed9f4fda8782e5481e944bb4f644a2132da
parent145a335bf000b99c7ec381b24a64168f1e6572b9 (diff)
downloadreleng-49a2fb93cc7bbbac5b654079dc4f5e92c727c7e1.tar.gz
releng-49a2fb93cc7bbbac5b654079dc4f5e92c727c7e1.tar.xz
releng-49a2fb93cc7bbbac5b654079dc4f5e92c727c7e1.zip
More fixes from testing rawhide production.
Make sure we run mash as the user calling mock, which in our case is masher, which has write access to /mnt/koji Copy in the host hosts file so that we correctly resolve koji.fedoraproject.org
-rwxr-xr-xscripts/buildrawhide5
1 files changed, 4 insertions, 1 deletions
diff --git a/scripts/buildrawhide b/scripts/buildrawhide
index f341cef..2f65c02 100755
--- a/scripts/buildrawhide
+++ b/scripts/buildrawhide
@@ -29,7 +29,10 @@ popd
mock -r $MOCKCONFIG --init
mock -r $MOCKCONFIG --no-clean --install koji yum createrepo cvs make intltool findutils mash yum-utils rsync repoview
-mock -r $MOCKCONFIG --chroot "mash -o /mnt/koji/mash/rawhide-$DATE --compsfile /mnt/koji/mash/rawhide-$DATE/logs/comps-rawhide.xml development > /mnt/koji/mash/rawhide-$DATE/logs/mash.log 2>&1" || exit 1
+# Copy in the hosts file so that we get the right address for koji
+mock -r $MOCKCONFIG --copyin /etc/hosts /etc/hosts >/dev/null 2>&1 # this reports to fail, but actually works
+# Drop privs here so that we run as the masher UID
+mock -r $MOCKCONFIG --unpriv --chroot "mash -o /mnt/koji/mash/rawhide-$DATE --compsfile /mnt/koji/mash/rawhide-$DATE/logs/comps-rawhide.xml development > /mnt/koji/mash/rawhide-$DATE/logs/mash.log 2>&1" || exit 1
if [ -n "\$OLD" ]
then